Bug 167222 - [BETA RHEL3 U6] kernel panic while booting numa=off on x86_64
[BETA RHEL3 U6] kernel panic while booting numa=off on x86_64
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel (Show other bugs)
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Jim Paradis
Brian Brock
: Regression
Depends On:
Blocks: 156320
  Show dependency treegraph
Reported: 2005-08-31 13:45 EDT by Issue Tracker
Modified: 2007-11-30 17:07 EST (History)
6 users (show)

See Also:
Fixed In Version: RHSA-2005-663
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-09-28 11:36:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Issue Tracker 2005-08-31 13:45:40 EDT
Escalated to Bugzilla from IssueTracker
Comment 1 Issue Tracker 2005-08-31 13:45:42 EDT
From User-Agent: XML-RPC

uname -a:

Linux paamd6.us.oracle.com 2.4.21-34.ELsmp #1 SMP Thu Jul 28 23:28:35 EDT

2005 x86_64 x86_64 x86_64 GNU/Linux

This is with latest RHEL3U6 beta x86_64 on the Quartet hardware.

On booting with numa=off the kernel panics.

As reported by the SA:

First reboot will have CPU 0 error, second reboot will have CPU 1 error, and

so forth. The errors from the console are as follows

CPU 0: Machine Check Exception: 0000000000000004

Northbridge Machine Check exception b60000010005001b 0

Uncorrectable condition

Uncorrectable condition

Address: 0000000037ff0000

Kernel panic 
This event sent from IssueTracker by lwang
 issue 78580
Comment 2 Issue Tracker 2005-08-31 13:45:46 EDT
From User-Agent: XML-RPC

 However, The system boots with numa=off and acpi=off.  numa=off alone
doesn't work.

With RHEL3 U5 on the same hardware, numa=off used to work.  So this is a

Status set to: Waiting on Tech

This event sent from IssueTracker by lwang
 issue 78580
Comment 7 Issue Tracker 2005-08-31 13:46:02 EDT
From User-Agent: XML-RPC

From what I can tell, this panic is actually a Machine Check exception
rather than a panic.  Can you include the kernel bootline so I can see if
ACPI is on or off?

Larry Woodman

This event sent from IssueTracker by lwang
 issue 78580
Comment 8 Ernie Petrides 2005-08-31 18:18:46 EDT
Fixing "product" and "hardware" fields.
Comment 9 Ernie Petrides 2005-08-31 18:32:35 EDT
There was a potentially relevant fix already committed to the 2nd respin
of RHEL3 U6 (built on 19-Aug-2005):

  - fix x86_64 machine check regression from -32.10.EL (Brian Maly)

Could we please get verification on whether the most recently available
U6 beta kernel (2.4.21-35.EL) still panics while booting with numa=off?

Thanks in advance.
Comment 11 Issue Tracker 2005-09-01 09:29:58 EDT
From User-Agent: XML-RPC

With the latest kernel 2.4.21-35.EL, the system does not panic with
numa=off. It comes up successfully.

This event sent from IssueTracker by martinez
 issue 78580
Comment 12 Ernie Petrides 2005-09-01 16:30:41 EDT
Fixing bug status/disposition and propagating acks from bug 165841.

The fix for this problem was committed to the RHEL3 U6 patch pool
on 19-Aug-2005 (in kernel version 2.4.21-35.EL).

*** This bug has been marked as a duplicate of 165841 ***
Comment 13 Ernie Petrides 2005-09-02 14:32:30 EDT
I'm linking in Issue Tracker 78590 to this bug as well, because the
symptom appears to be identical.  Could we please get an update to
IT 78590 to confirm whether the problem is resolved in 2.4.21-35.EL?

Thanks in advance.
Comment 17 Red Hat Bugzilla 2005-09-28 11:36:22 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.